1. Partner Entry
PartnerPage API
  • Introduction
  • Authentication
  • Object Overview
  • Directory
    • Forms
      • Get all custom forms
      • Get all currency field options
      • Get all contact request form
      • Get the default contact request form
      • Create a cotact request custom form
      • Delete a contact request custom form
    • Callouts
      • Get all callouts
      • Get a callout
      • Create a new callout
      • Update a directory callout
      • Delete a directory callout
    • Badges
      • Get all badges
      • Get a badge
      • Create a badge
      • Update a badge
      • Delete a badge
    • Certifications
      • Get all certifications
      • Get a certificacion
      • Create a certification
      • Update a certification
      • Delete a certification
    • Filters
      • Filter Options
        • Get all filter options
        • Get a filter option
        • Create a filter option
        • Update a filter option
        • Deletes a filter option
      • Get all filters
      • Get a filter
      • Create a filter
      • Update a filter
      • Deletes a filter
      • Get all internal filters
      • Get all filters for external directory
    • Filter Maps
      • Get all filter option mappings
      • Get a filter option mapping
      • Create a new filter option mapping
      • Update a filter option mapping
      • Delete a filter option mapping
      • Get all filter option mappings for external directory
    • Matchmaking
      • Get all matchmaking requests
    • Tiers
      • Get all tiers
      • Get a tier
      • Create a tier
      • Update a tier
      • Delete a tier
      • Get all entries assigned to an specific tier
      • Assign or Unassign entries to an specific tier
    • Verifications
      • Get all verifications
      • Get a verification
      • Create a verification
      • Update a verification
      • Delete a verification
    • Settings
      • Retrieve the settings for a directory
      • Update the settings for a directory
    • Get all directories
    • Get a directory
    • Update a directory
  • Entry
    • App Entry
      • Callouts
        • Get all callouts
        • Get an entry callout
        • Create a new callout
        • Update a callout
        • Delete a callout
      • Get an app entry
      • Create new app entry
      • Update app entry
      • Delete a app entry
      • Update the recommended order of an app entry
    • Partner Entry
      • Badges
        • Get all badges
        • Get a badge
        • Create a badge
        • Update a badge
        • Delete a badge
      • Callouts
        • Get all callouts
        • Get a callout
        • Create a callout
        • Update a callout
        • Delete a callout
      • Certifications (General)
        • Get all certifications
        • Get a certification
        • Create a certification
        • Update a certification
        • Delete a certification
      • Certifications (Industry)
        • Get all industry certifications
        • Get an industry certification
        • Create an industry certification
        • Update an industry certification
        • Delete an industry certification
      • Certifications (Segment)
        • Get all segment certifications
        • Get a segment certification
        • Create a segment certification
        • Update a segment certification
        • Delete a segment certification
      • Client
        • Get all Clients
        • Get a client
        • Create a client
        • Update a client
        • Delete a client
      • Keywords
        • Get all keywords
        • Get a keyword
        • Create a keyword
        • Update keyword
        • Delete a keyword
      • Locations
        • Get all location
        • Get a location
        • Create a location
        • Update a location
        • Delete a location
      • Media
        • Get all media
        • Get a media
        • Create a media
        • Update a media
        • Delete a media
      • Resources
        • Internal
          • Get all Internal resources
          • Get an internal resource
          • Create an internal resource
          • Update an internal resource
          • Delete an internal resource
        • Get all resouces
        • Get a resource
        • Create a resource
        • Update a resource
        • Delete a resource
      • Special Offers
        • Get all special offer
        • Get a special offer
        • Create a special offer
        • Update a special offer
        • Delete a special offer
      • Testimonials
        • Internal
          • Get all internal testimonial
          • Get an internal testimonial
          • Create an internal testimonial
          • Update an internal testimonial
          • Delete an internal testimonial
        • Get all testimonials
        • Get a testimonial
        • Create a testimonial
        • Update a testimonial
        • Delete a testimonial
      • Use Cases
        • Internal
          • Get all internal use cases
          • Get an internal use cases
          • Create an internal use case
          • Update an internal use case
          • Delete an internal use case
        • Get all use cases
        • Get a use case details
        • Create a use case
        • Update a use case
        • Delete a use case
      • Verifications
        • Get all verifications
        • Get a verification
        • Create a verification
        • Update a verification
        • Delete a verification
      • Contact Information
        • Return entry contact information
      • Invite
        • Get organization matches for partner invite
        • Get partner entry owner organization invite
        • Get partner entry owner user invites
        • Invite organization to own partner entry
        • Invite users to partner entry ownership
      • Entry Edits Approval Flow
        • Partner Entry Submit Review
        • Partner Entry Approve Review
        • Partner Entry Reject Changes
        • Partner Entry Discard Review
      • Get all partner entry
        GET
      • Get a partner entry
        GET
      • Create a partner entry
        POST
      • Update a partner entry
        PATCH
      • Delete a partner entry
        DELETE
      • Update the recommended order of a partner entry
        POST
    • Get all entries
      GET
  • Contact Request
    • Get all contact requests
    • Get a contact request
    • Create a new partner contact request
  • Matchmaking
    • Get all matchmaking requests
    • Get a matchmaking request
    • Create a new matchmaking request for a directory
    • Get all partners assigned to matchmaking requests
    • Assign an owner to a matchmaking request
    • Replace partners to a matchmaking request
  • Review
    • Create a review
    • Get a review
  1. Partner Entry

Update a partner entry

PATCH
https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directory_id}/entries/partners/{entry_id}/
Update partner entry details

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Successful operation
Body

🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories//entries/partners//' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "headline": "string",
    "type": "string",
    "slug": "string",
    "customSlug": "string",
    "status": "hidden",
    "website": "http://example.com",
    "featured": true,
    "owner": {
        "property1": "string",
        "property2": "string"
    },
    "userAssignedFilterOptions": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "description": "string",
    "integrationDescription": "string",
    "location": "string",
    "callToActionUrl": "http://example.com",
    "callToActionLabel": "string",
    "internalPointOfContactCtaUrl": "http://example.com",
    "internalPointOfContactCtaLabel": "string",
    "internalChannelContactCtaUrl": "http://example.com",
    "internalChannelContactCtaLabel": "string",
    "externalUrl": "http://example.com",
    "externalId": "string",
    "resources": [
        {
            "title": "string",
            "file": "string",
            "url": "http://example.com",
            "order": 0,
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
    ],
    "verifications": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string"
        }
    ],
    "media": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "description": "string",
            "order": 0,
            "pdfFileThumbnailUrl": "string",
            "url": "http://example.com",
            "file": "http://example.com",
            "type": "string"
        }
    ],
    "callouts": [
        {
            "order": 0,
            "name": "string",
            "textColor": "string",
            "backgroundColor": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
    ],
    "keywords": [
        {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
    ],
    "supportEmail": "string",
    "developerName": "string",
    "displayOnInternalDirectory": true,
    "internalDescription": "string",
    "tier": "9666c7ff-e19c-4368-9dce-c81e0d2de158"
}'
Response Response Example
200 - response
{
    "id": "237ff0f4-e9d5-4be6-a21a-5c913836d523",
    "href": "/api/directory/private/v1alpha/directories/e2b2a65f-0972-4fb4-96bb-498a63411bb6/entries/partners/237ff0f4-e9d5-4be6-a21a-5c913836d523/",
    "title": "The Best Partner",
    "headline": "The App headline.",
    "description": "The partner that you were waiting for!",
    "icon": "https://image.domain.com/icon.png",
    "image": "https://image.domain.com/partner.png",
    "slug": "the-best-partner",
    "custom_slug": null,
    "status": "public",
    "featured": true,
    "owner": "7f80323b-dc05-4002-a2a0-89c627c2dc82",
    "website": "https://the.partner.website.com",
    "location": "Dublin, Dublin, Ireland",
    "call_to_action_url": "https://just.do.it.com/",
    "call_to_action_label": "Call to action Label",
    "external_url": "https://external.partner.url.com/",
    "support_email": "support@partner.website.com",
    "developer_name": "The Best Partner Developer",
    "metadata": {
        "external_id": "158a0557-8918-4311-bc57-fb5f69c093c1"
    },
    "award": "https://image.domain.com/award.png",
    "use_cases": [
        {
            "id": "aab920e3-a5da-4a59-89d6-44591ddea8ad",
            "title": "Use Case 1",
            "description": "Use Case 1 description",
            "order": 0
        }
    ],
    "callouts": [
        {
            "id": "68c18fe3-9450-44dd-bc57-b332c53ce069",
            "name": "One Callout",
            "order": 0,
            "textColor": "635BFF",
            "backgroundColor": "E8E6FF"
        }
    ],
    "media": [
        {
            "id": "6a5fc0f0-c938-4b4e-85c2-b895a90b000d",
            "title": "Media 1",
            "description": "Media 1 description",
            "order": 0,
            "pdfFileThumbnailUrl": "https://image.domain.com/partner.png",
            "url": "https://image.domain.com/partner.png",
            "type": "I"
        }
    ],
    "resources": [
        {
            "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
            "title": "Entry Resource",
            "url": "https://partner.domain.com/resource",
            "file": null,
            "order": 0
        }
    ],
    "special_offers": [
        {
            "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
            "title": "Entry Special Offer",
            "url": "https://partner.domain.com/special-offer",
            "file": null,
            "order": 0
        }
    ],
    "clients": [
        {
            "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
            "title": "Client Entry",
            "url": "https://client.domain.com/client",
            "file": null,
            "order": 0
        }
    ],
    "testimonials": [
        {
            "id": "134427f8-d25e-466a-806e-7145523a471e",
            "author_name": "John Doe",
            "position": "Project Manager",
            "company_name": "Company Inc.",
            "testimonial_text": "This is a great testimonial",
            "order": 0
        }
    ],
    "certifications": [
        {
            "id": "b2a0414d-f05d-4f34-a2f3-990116b9cdfd",
            "title": "Certification 3 (order 0)",
            "quantity": 14
        },
        {
            "id": "8fb8379e-7049-4bb9-95d4-a3017d235789",
            "title": "Certification 1 (order 1)",
            "quantity": 14
        },
        {
            "id": "85929f1d-10e3-459a-8e2d-622ed16d5110",
            "title": "Certification 2 (order 2)",
            "quantity": 1
        }
    ],
    "verifications": [
        {
            "id": "5a4045d7-9dbb-49ee-9132-180665dcdc3b",
            "title": "A Verification"
        },
        {
            "id": "ada6a021-e996-4d12-85dd-1d5220f67da4",
            "title": "B Verification"
        }
    ],
    "tracking": {
        "umami_website_id": "ed2faba6-7aec-459a-b997-97fcfc390709",
        "umami_share_id": "1xdfagJ"
    },
    "display_on_internal_directory": false,
    "tier": {
        "title": "Tier Test",
        "default": false,
        "image": "https://images/tier-image.png",
        "order": 3,
        "id": "a8216d76-beb5-4b10-a280-cb23fd031245",
        "entriesCount": 1,
        "entriesListUrl": "/api/directory/private/v1alpha/directories/efc35140-2c3f-4936-a3f8-b700ecafe6b5/tiers/a8216d76-beb5-4b10-a280-cb23fd031245/entries/"
    }
}
Modified at 2026-04-13 10:46:44
Previous
Create a partner entry
Next
Delete a partner entry
Built with